For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
OverviewCodaControlAPI ReferenceChangelog
OverviewCodaControlAPI ReferenceChangelog
  • Coda API
      • GETList Agents
      • POSTRun Agent
  • Control API
  • Stanza API
    • stanza
    • cli
    • context
    • device
    • exceptions
    • models
    • pyvisa
    • registry
    • timing
    • utils
LogoLogo
Coda APIAgents

Run Agent

POST
https://api.conductorquantum.com/v0/coda/agents
POST
/v0/coda/agents
1from conductorquantum import ConductorQuantum
2
3client = ConductorQuantum(token="<token>")
4for event in client.coda.agents.run(
5 messages=[{"role": "user", "content": "Create a Bell state circuit in Qiskit"}],
6 mode="build",
7):
8 print(event)

Chat with a Coda AI agent and receive a streamed response. Two modes are available — build (write, debug, optimise circuits) and learn (explain quantum computing concepts).

Was this page helpful?
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-api-pathstring or nullOptional

Request

This endpoint expects an object.
messageslist of objectsRequired
Conversation messages
thread_idstring or nullOptional
Thread ID for conversation continuity
fastbooleanOptionalDefaults to false
Use fast model for lower latency
modeenumOptionalDefaults to build

Agent mode: ‘build’ for circuit building, ‘learn’ for quantum computing education

Allowed values:

Response

Server-sent event stream. Each event is a JSON object with a type field.

Errors

422
Unprocessable Entity Error